import { HorizontalRangeCategorySeries } from "./HorizontalRangeCategorySeries";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Rect } from "igniteui-react-core";
import { CategoryFrame } from "./CategoryFrame";
import { List$1 } from "igniteui-react-core";
import { Pool$1 } from "igniteui-react-core";
import { Rectangle } from "igniteui-react-core";
import { CategorySeriesView } from "./CategorySeriesView";
import { RangeCategorySeriesView } from "./RangeCategorySeriesView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class RangeColumnSeries extends HorizontalRangeCategorySeries {
    static $t: Type;
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    r7: RangeColumnSeriesView;
    constructor();
    r8: number;
    r9: number;
    protected get_cu(): boolean;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    n2(a: Point): Rect;
    dy(a: Point, b: boolean): boolean;
    jl(a: boolean, b: SeriesView): void;
    e9(): number;
    rc(a: CategoryFrame, b: CategorySeriesView): void;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class RangeColumnSeriesView extends RangeCategorySeriesView {
    static $t: Type;
    protected c2: RangeColumnSeries;
    constructor(a: RangeColumnSeries);
    c3: Pool$1<Rectangle>;
    as(): void;
    protected c4: List$1<Rectangle>;
    da(): Rectangle;
    c5(a: Rectangle): void;
    c7(a: Rectangle): void;
    c6(a: Rectangle): void;
    c8(a: Rectangle, b: number, c: number): void;
    protected ac(a: number): any;
    private c9;
    protected ab(a: number): any;
    protected a6(a: RenderingContext, b: boolean): void;
    al(a: any): void;
}
